package transformation.associationtags.buttonlisteners;

import transformation.associationtags.AssociationTagWindow;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;

public class AddListener implements ActionListener {

	AssociationTagWindow window;
	JFrame frame;
	
	public AddListener(AssociationTagWindow window, JFrame frame) {
		
		this.window = window;
		this.frame = frame;
	}
	
	/**
	 * Opens the association tags adding form
	 */
	public void actionPerformed(ActionEvent arg0) {

		this.frame.dispose();
		this.window.addTag();

	}

}
